package com.atlassian.bitbucket.test.rest.commit;

import javax.annotation.Nonnull;

public class RestGetCommitCommentRequest extends AbstractRestCommitCommentRequest {

    private RestGetCommitCommentRequest(Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractCommitCommentBuilder<Builder, RestGetCommitCommentRequest> {

        public Builder(long id) {
            super(id);
        }

        public Builder(@Nonnull RestGetCommitCommentRequest request) {
            super(request);
        }

        @Nonnull
        @Override
        public RestGetCommitCommentRequest build() {
            return new RestGetCommitCommentRequest(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
